Subject: Re: Do pattern rules work in NT?
From: [email-masked] ("Mark Brown")

22 Jul 1997 07:00:08 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "Tom" <[email-masked]>, <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-MimeOle: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

Should the following conditional work under the NT/95 port of GNU Make as it
does under OS/2 ?

ifneq ($(GNU_OS_PORT),"NT_ENV")
       error:
             @echo Not running this Makefile on correct port!
else

endif

-----Original Message-----
From: Tom <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Monday, July 21, 1997 5:54 PM
Subject: Re: Do pattern rules work in NT?

Robert Nicholson wrote:
>
> Should the following pattern rule work in NT?
>
> classes\%.class: %.java
>         javac ......
>
> if I have a dependency like classes/something.class
>
> won't it match this rule?
>
> The gnumake shipped with NeXT's OE 4.2 for NT doesn't seem to.

I have seen some makes fail silently if the dependency is greater than
one char in length (.o). I worked around this by linking the .class
to .j or something and it started working.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".